Loading...
Searching...
No Matches
BALL::FragmentDB::BuildBondsProcessor Class Reference

`#include <BALL/STRUCTURE/fragmentDB.h>`

Inheritance diagram for BALL::FragmentDB::BuildBondsProcessor:

## Classes

struct | Connection

## Public Types

Type definitions
typedef std::list< Connection > | ConnectionList
Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Public Member Functions

Constructors and Destructors
| BuildBondsProcessor ()
| BuildBondsProcessor (const FragmentDB &db)
virtual | ~BuildBondsProcessor ()
Processor-related methods
virtual bool | finish ()
virtual bool | start ()
virtual Processor::Result | operator() (Fragment &fragment)
Accessors
Size | getNumberOfBondsBuilt ()
| Return the number of bonds built during the last application.
void | setFragmentDB (const FragmentDB &fragment_db)
| Set the fragment database.
Public Member Functions inherited from BALL::UnaryProcessor< Fragment >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Bond building methods

FragmentDB * | fragment_db_
std::list< Fragment * > | fragment_list_
Size | bonds_built_
ConnectionList | connections_
Size | buildFragmentBonds (Fragment &fragment) const
Size | buildFragmentBonds (Fragment &fragment, const Fragment &tplate) const
Size | buildInterFragmentBonds (Fragment &first, Fragment &second) const
void | storeConnections_ (Fragment &fragment)
bool | buildConnection_ (Connection &con1, Connection &con2)

## Detailed Description

Bond creation processor

Definition at line 338 of file fragmentDB.h.

## Member Typedef Documentation

## ConnectionList

typedef std::list<Connection> BALL::FragmentDB::BuildBondsProcessor::ConnectionList

Definition at line 359 of file fragmentDB.h.

## Constructor & Destructor Documentation

## BuildBondsProcessor() [1/2]

BALL::FragmentDB::BuildBondsProcessor::BuildBondsProcessor | ( |  | ) |

## BuildBondsProcessor() [2/2]

BALL::FragmentDB::BuildBondsProcessor::BuildBondsProcessor | ( | const FragmentDB & | db | ) |

## ~BuildBondsProcessor()

virtual BALL::FragmentDB::BuildBondsProcessor::~BuildBondsProcessor | ( |  | ) |

virtual

## Member Function Documentation

## buildConnection_()

bool BALL::FragmentDB::BuildBondsProcessor::buildConnection_ | ( | Connection & | con1,
|  | Connection & | con2 )

protected

Build a connection between two atoms, if possible

Exceptions

  Exception::TooManyBonds | if an atom would be assigned too many bonds

## buildFragmentBonds() [1/2]

Size BALL::FragmentDB::BuildBondsProcessor::buildFragmentBonds | ( | Fragment & | fragment | ) | const

Build all bonds in a fragment. This method builds all bonds that are contained in the template.

Returns
  the number of bonds built

## buildFragmentBonds() [2/2]

Size BALL::FragmentDB::BuildBondsProcessor::buildFragmentBonds | ( | Fragment & | fragment,
|  | const Fragment & | tplate ) const

Build all bonds in a fragment according to a manually supplied template. This method builds all bonds that are contained in manually provided template.

Returns
  the number of bonds built

Exceptions

  Exception::TooManyBonds | if an atom would be assigned too many bonds

## buildInterFragmentBonds()

Size BALL::FragmentDB::BuildBondsProcessor::buildInterFragmentBonds | ( | Fragment & | first,
|  | Fragment & | second ) const

Build all possible bonds between two fragments. This method builds all bonds that are allowed by the Connections entries in a resource database.

Returns
  the number of bonds built

Exceptions

  Exception::TooManyBonds | if an atom would be assigned too many bonds

## finish()

virtual bool BALL::FragmentDB::BuildBondsProcessor::finish | ( |  | ) |

virtual

finish method

Reimplemented from BALL::UnaryProcessor< Fragment >.

## getNumberOfBondsBuilt()

Size BALL::FragmentDB::BuildBondsProcessor::getNumberOfBondsBuilt | ( |  | ) |

Return the number of bonds built during the last application.

## operator()()

virtual Processor::Result BALL::FragmentDB::BuildBondsProcessor::operator() | ( | Fragment & |  | ) |

virtual

operator ()

Reimplemented from BALL::UnaryProcessor< Fragment >.

## setFragmentDB()

void BALL::FragmentDB::BuildBondsProcessor::setFragmentDB | ( | const FragmentDB & | fragment_db | ) |

Set the fragment database.

## start()

virtual bool BALL::FragmentDB::BuildBondsProcessor::start | ( |  | ) |

virtual

start method

Reimplemented from BALL::UnaryProcessor< Fragment >.

## storeConnections_()

void BALL::FragmentDB::BuildBondsProcessor::storeConnections_ | ( | Fragment & | fragment | ) |

protected

Store connections for a fragment. This method extracts all possible connections for a given fragment and stores them in a list of possible connections. finish will then check that list for possible inter-residue bonds.

## Member Data Documentation

## bonds_built_

Size BALL::FragmentDB::BuildBondsProcessor::bonds_built_

protected

Definition at line 462 of file fragmentDB.h.

## connections_

ConnectionList BALL::FragmentDB::BuildBondsProcessor::connections_

protected

Definition at line 466 of file fragmentDB.h.

## fragment_db_

FragmentDB* BALL::FragmentDB::BuildBondsProcessor::fragment_db_

protected

A pointer to the fragment database

Definition at line 449 of file fragmentDB.h.

## fragment_list_

std::list<Fragment*> BALL::FragmentDB::BuildBondsProcessor::fragment_list_

protected

A list of all fragments. This list is constructed incrementally by the operator () and is used by finish() to create the inter-fragment bonds

Definition at line 455 of file fragmentDB.h.